-- MultiFruitUtil (part of)
-- by mor2000
-- v1.2

-- Funktion um eine Eigenschaft einer Fruchtsorte nachträglich zu ändern
-- function to change a attribute of a fruitName afterwards

ApfelmodMFU={}

function ApfelmodMFU.changeAttribute(fruitName, attribute, value)
	if type(fruitName)=="number" then
		fruitName=Fillable.fillTypeIntToName[fruitName]
	end
	local fruitType=FruitUtil.fillTypeToFruitType[Fillable.fillTypeNameToInt[fruitName]]
	if(type(FruitUtil.fruitTypes[fruitType])=="table")then
		if(type(FruitUtil.fruitTypes[fruitType][attribute])~=nil)then
			FruitUtil.fruitTypes[fruitType][attribute]=value
		end
	end
	if(type(Fillable.fillTypeNameToDesc[fruitName])=="table")then
		if(--attribute=="name" or
			attribute=="nameI18N" or
			attribute=="pricePerLiter" or
			attribute=="previousHourPrice" or
			attribute=="startPricePerLiter" or
			attribute=="partOfEconomy" or
			attribute=="hudOverlayFilename")then
			if(type(Fillable.fillTypeNameToDesc[fruitName][attribute])~=nil)then
				Fillable.fillTypeNameToDesc[fruitName][attribute] = value
			end
		end
	end
end
